## org.apache.commons.math.analysis
Interface UnivariateMatrixFunction

All Known Subinterfaces:
  DifferentiableUnivariateMatrixFunction

    public interface UnivariateMatrixFunction

An interface representing a univariate matrix function.

Since:
  2.0
Version:
  $Revision: 777894 $ $Date: 2009-05-23 07:44:01 -0400 (Sat, 23 May 2009) $

Method Summary
`double[][]` `value(double x)` Compute the value for the function.

Method Detail

### value

    double[][] value(double x)
                     throws FunctionEvaluationException

  Compute the value for the function.

  Parameters:
    `x` - the point for which the function value should be computed
  Returns:
    the value
  Throws:
    `FunctionEvaluationException` - if the function evaluation fails

Copyright (c) 2003-2010 Apache Software Foundation